package com.google.android.gms.common.stats;

import com.bytedance.covode.number.Covode;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;

public abstract class StatsEvent extends AbstractSafeParcelable implements ReflectedParcelable {
    static {
        Covode.recordClassIndex(42857);
    }

    public abstract long LIZ();

    public abstract int LIZIZ();

    public abstract long LIZJ();

    public abstract String LIZLLL();

    public String toString() {
        long LIZ = LIZ();
        int LIZIZ = LIZIZ();
        long LIZJ = LIZJ();
        String LIZLLL = LIZLLL();
        StringBuilder sb = new StringBuilder(String.valueOf(LIZLLL).length() + 53);
        sb.append(LIZ);
        sb.append("\t");
        sb.append(LIZIZ);
        sb.append("\t");
        sb.append(LIZJ);
        sb.append(LIZLLL);
        return sb.toString();
    }
}
